﻿using System;
using Styx;
using Styx.Plugins;
using Styx.WoWInternals;


namespace HB_Ashran_Auto_Accept
{
    public class AshranAutoAccept: HBPlugin
    {
        //Normal Stuff.
        public override string Name
        {
            get { return "Ashran Auto Accept"; }
        }

        public override string Author
        {
            get { return "Backwards"; }
        }

        public override Version Version
        {
            get { return new Version(0, 2); }
        }

        public override bool WantButton
        {
            get { return false; }
        }

        public override string ButtonText
        {
            get { return "Settings"; }
        }

        /// <summary>Enables this plugin.</summary>
        public override void OnEnable()
        {
            Helpers.Write("Has been loaded, Happy Honor Farming");
        }

        /// <summary>Disables this plugin.</summary>
        public override void OnDisable()
        {
            Helpers.Write("Has been unloaded, Reload me to own Ashran!");
        }

        public override void OnButtonPress()
        {
            //nothing - no settings needed
        }


        public override void Pulse()
        {

            System.Threading.Thread.Sleep(10000); //Only check every 10 seconds if we are in the zone
            //Helpers.Write("Checking to see if we are in Ashran");
            
            // need to check for the BG prompt and run the LUA script
            if (StyxWoW.Me.HasAura(161733) && !Battlegrounds.IsInsideBattleground)
            {
                System.Threading.Thread.Sleep(1000); //Added to allow a small delay in hitting accept
                Lua.DoString("BattlefieldMgrEntryInviteResponse(24, 1)");
                Helpers.Write("Joining the battle for Ashran");
            } //If end
                /* Debug logging for when it didn't detect the Aura
            else
            {
                Helpers.Write("Nothing yet!");
            }
                 */
        } // Pulse end


    } // Class end

} // Namespace end